Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::MostTrigger Struct Referencefinal

MOST_TRIGGER. More...

`#include <MostTrigger.h>`

Inheritance diagram for Vector::BLF::MostTrigger:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | reservedMostTrigger {}
uint16_t | mode {}
| trigger mode
uint16_t | hw {}
| HW info.
uint32_t | previousTriggerValue {}
uint32_t | currentTriggerValue {}
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_TRIGGER.

Transports changes of HW IO pins. The event is used for debugging purposes only.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostTrigger::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostTrigger::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostTrigger::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::MostTrigger::channel {}

application channel

Application channel

## ◆ currentTriggerValue

uint32_t Vector::BLF::MostTrigger::currentTriggerValue {}

value of IO register

## ◆ hw

uint16_t Vector::BLF::MostTrigger::hw {}

HW info.

HW that generated the trigger event

- 0 – unknown
- 1 – Optolyzer
- 2 – reserved
- 3 – reserved
- 4 – VN2600/VN2610
- 5 – OptoLyzer OL3150o
- 6 – VN2640
- 7 – OptoLyzer OL3050e
- 8 – SMSC PCI 50
- 9 – MOCCAcompact50e

## ◆ mode

uint16_t Vector::BLF::MostTrigger::mode {}

trigger mode

Trigger mode:

- 0 – unknown
- 1 – synchronization master
- 2 – synchronization slave

## ◆ previousTriggerValue

uint32_t Vector::BLF::MostTrigger::previousTriggerValue {}

value of IO register

## ◆ reservedMostTrigger

uint16_t Vector::BLF::MostTrigger::reservedMostTrigger {}

reserved

The documentation for this struct was generated from the following files:

- MostTrigger.h
- MostTrigger.cpp